<?php
/**
 * @file
 * Theme functions for the Rijksvideo player.
 */

/**
 * Theme function to style a Rijksvideo file download.
 */
function theme_rijksvideo_file_download($variables) {
  $download = $variables['download'];

  $linktext = $download['label'];

  if (isset($download['size'])) {

    $duration = new DateTime($download['duration']);
    $duration = $duration->format('i:s');

    $metatext = '<span class="meta">' . t('@type, @date, !icon @extension, @duration min., @size', array(
      '@type' => $download['type'],
      '@date' => format_date($download['date'], 'short'),
      '!icon' => _rijksvideo_get_file_icon($download['uri']),
      '@extension' => _rijksvideo_get_file_extension($download['uri']),
      '@duration' => $download['duration'],
      '@size' => format_size($download['size']),
    )) . '</span>';
  }
  else {
    $metatext = '<span class="meta">' . t('@type, @date, !icon @extension', array(
      '@type' => $download['type'],
      '@date' => format_date($download['date'], 'short'),
      '!icon' => _rijksvideo_get_file_icon($download['uri']),
      '@extension' => _rijksvideo_get_file_extension($download['uri']),
    )) . '</span>';
  }
  $linktext .= ' ' . $metatext;

  return l($linktext, $download['uri'], array('html' => TRUE));
}
